Summary:	Prepare for fast, easily-extended simulations
Name:		xmds
Version:	3.0.0
Release:	%mkrel 7
License:	GPLv2
Group:		Sciences/Other
Url:		http://www.xmds.org/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		xmds-3.0.0-relax-dependencies.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
Provides:	xmds2 = %{version}

%description
The purpose of XMDS2 is to simplify the process of creating
simulations that solve systems of initial-value first-order partial
and ordinary differential equations. Instead of going through the
error-prone process of writing by hand thousands of lines of code,
XMDS2 enables many problems to be described in a simple XML format.
From this XML description XMDS2 writes a C++ simulation that solves
the problem using fast algorithms. Anecdotally, the code generated
by XMDS2 is as fast as, or faster than, code hand-written by an
expert, but by using XMDS2 the time taken to produce the simulation
is significantly reduced.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation

%description	doc
This package contains documentation for %{name}.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xpdeint

%files -f %{pyproject_files}
%doc README ReleaseNotes examples
%{_bindir}/*

%files doc
%doc documentation/*


%changelog
* Fri Jan 05 2024 daviddavid <daviddavid> 3.0.0-7.mga10
+ Revision: 2027647
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 3.0.0-6.mga9
+ Revision: 1822637
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 3.0.0-5.mga9
+ Revision: 1774820
- rebuild for python 3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 3.0.0-4.mga9
+ Revision: 1717027
- relax pyparsing dependency

* Sun Mar 21 2021 neoclust <neoclust> 3.0.0-3.mga9
+ Revision: 1706816
- Rebuild against python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 3.0.0-2.mga8
+ Revision: 1533116
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 daviddavid <daviddavid> 3.0.0-1.mga8
+ Revision: 1443492
- new version: 3.0.0
- port to python 3

* Fri Sep 21 2018 umeabot <umeabot> 2.2.3-2.mga7
+ Revision: 1292164
- Mageia 7 Mass Rebuild

* Sun Aug 26 2018 daviddavid <daviddavid> 2.2.3-1.mga7
+ Revision: 1254533
- new version: 2.2.3
- fix license
- use new python macros

* Sat Jan 30 2016 umeabot <umeabot> 2.1.2-8.mga6
+ Revision: 929074
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.2-7.mga5
+ Revision: 749504
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.2-6.mga5
+ Revision: 730743
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.2-5.mga5
+ Revision: 690692
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.1.2-3.mga4
+ Revision: 544600
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.1.2-2.mga4
+ Revision: 500006
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Feb 08 2013 fwang <fwang> 2.1.2-1.mga3
+ Revision: 396938
- add more provides
- skip build
- switch to newer branch of xmds2
- fix build with latest automake
- use autoreconf

* Fri Feb 08 2013 fwang <fwang> 1.6.6-4.mga3
+ Revision: 395624
- fix linkage order

* Mon Jan 14 2013 umeabot <umeabot> 1.6.6-3.mga3
+ Revision: 387118
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 08 2011 grenoya <grenoya> 1.6.6-2.mga1
+ Revision: 96255
- imported package xmds


* Wed Aug 26 2009 Emmanuel Andry <eandry@mandriva.org> 1.6.6-2mdv2010.0
+ Revision: 421581
- build against fftw3

* Tue Aug 12 2008 Olivier Thauvin <nanardon@mandriva.org> 1.6.6-1mdv2009.0
+ Revision: 271013
- 1.6.6

* Sat Feb 09 2008 Olivier Thauvin <nanardon@mandriva.org> 1.6.4-1mdv2008.1
+ Revision: 164446
- 1.6.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.5_3-1mdv2008.0
+ Revision: 20039
- 1.5-3


* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/10/06 10:44:04 (55344)
- 1.5-2

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/10/06 10:39:37 (55339)
Import xmds

* Sun Mar 05 2006 Olivier Thauvin <nanardon@mandriva.org> 1.5_1-1mdk
- 1.5-1

* Fri Jan 21 2005 Sylvie Terjan <erinmargault@zarb.org> 1.3_5-1mdk
- make spec file

